import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateAliasInput } from "../types/CreateAliasInput";
import { CreateAliasOutput } from "../types/CreateAliasOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateAliasInput";
export * from "../types/CreateAliasOutput";
export * from "../types/CreateAliasExceptionsUnion";
export declare class CreateAliasCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateAliasInput, OutputTypesUnion, CreateAliasOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateAliasInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateAliasInput, CreateAliasOutput, Blob>;
    constructor(input: CreateAliasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateAliasInput, CreateAliasOutput>;
}
