import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteConditionalForwarderInput } from "../types/DeleteConditionalForwarderInput";
import { DeleteConditionalForwarderOutput } from "../types/DeleteConditionalForwarderOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DeleteConditionalForwarderInput";
export * from "../types/DeleteConditionalForwarderOutput";
export * from "../types/DeleteConditionalForwarderExceptionsUnion";
export declare class DeleteConditionalForwarderCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteConditionalForwarderInput, OutputTypesUnion, DeleteConditionalForwarderOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DeleteConditionalForwarderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteConditionalForwarderInput, DeleteConditionalForwarderOutput, Blob>;
    constructor(input: DeleteConditionalForwarderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteConditionalForwarderInput, DeleteConditionalForwarderOutput>;
}
