import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteSnapshotInput } from "../types/DeleteSnapshotInput";
import { DeleteSnapshotOutput } from "../types/DeleteSnapshotOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DeleteSnapshotInput";
export * from "../types/DeleteSnapshotOutput";
export * from "../types/DeleteSnapshotExceptionsUnion";
export declare class DeleteSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteSnapshotInput, OutputTypesUnion, DeleteSnapshotOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DeleteSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteSnapshotInput, DeleteSnapshotOutput, Blob>;
    constructor(input: DeleteSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteSnapshotInput, DeleteSnapshotOutput>;
}
