"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDirectories_1 = require("../model/operations/DescribeDirectories");
var DescribeDirectoriesCommand = /** @class */ (function () {
    function DescribeDirectoriesCommand(input) {
        this.input = input;
        this.model = DescribeDirectories_1.DescribeDirectories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDirectoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDirectoriesCommand;
}());
exports.DescribeDirectoriesCommand = DescribeDirectoriesCommand;
//# sourceMappingURL=DescribeDirectoriesCommand.js.map