"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEventTopics_1 = require("../model/operations/DescribeEventTopics");
var DescribeEventTopicsCommand = /** @class */ (function () {
    function DescribeEventTopicsCommand(input) {
        this.input = input;
        this.model = DescribeEventTopics_1.DescribeEventTopics;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEventTopicsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEventTopicsCommand;
}());
exports.DescribeEventTopicsCommand = DescribeEventTopicsCommand;
//# sourceMappingURL=DescribeEventTopicsCommand.js.map