import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeSnapshotsInput } from "../types/DescribeSnapshotsInput";
import { DescribeSnapshotsOutput } from "../types/DescribeSnapshotsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DescribeSnapshotsInput";
export * from "../types/DescribeSnapshotsOutput";
export * from "../types/DescribeSnapshotsExceptionsUnion";
export declare class DescribeSnapshotsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeSnapshotsInput, OutputTypesUnion, DescribeSnapshotsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DescribeSnapshotsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeSnapshotsInput, DescribeSnapshotsOutput, Blob>;
    constructor(input: DescribeSnapshotsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeSnapshotsInput, DescribeSnapshotsOutput>;
}
