import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisableRadiusInput } from "../types/DisableRadiusInput";
import { DisableRadiusOutput } from "../types/DisableRadiusOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DisableRadiusInput";
export * from "../types/DisableRadiusOutput";
export * from "../types/DisableRadiusExceptionsUnion";
export declare class DisableRadiusCommand implements __aws_sdk_types.Command<InputTypesUnion, DisableRadiusInput, OutputTypesUnion, DisableRadiusOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DisableRadiusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisableRadiusInput, DisableRadiusOutput, Blob>;
    constructor(input: DisableRadiusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DisableRadiusInput, DisableRadiusOutput>;
}
