import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDirectoryLimitsInput } from "../types/GetDirectoryLimitsInput";
import { GetDirectoryLimitsOutput } from "../types/GetDirectoryLimitsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/GetDirectoryLimitsInput";
export * from "../types/GetDirectoryLimitsOutput";
export * from "../types/GetDirectoryLimitsExceptionsUnion";
export declare class GetDirectoryLimitsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDirectoryLimitsInput, OutputTypesUnion, GetDirectoryLimitsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: GetDirectoryLimitsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDirectoryLimitsInput, GetDirectoryLimitsOutput, Blob>;
    constructor(input: GetDirectoryLimitsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<GetDirectoryLimitsInput, GetDirectoryLimitsOutput>;
}
