"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDirectoryLimits_1 = require("../model/operations/GetDirectoryLimits");
var GetDirectoryLimitsCommand = /** @class */ (function () {
    function GetDirectoryLimitsCommand(input) {
        this.input = input;
        this.model = GetDirectoryLimits_1.GetDirectoryLimits;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDirectoryLimitsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDirectoryLimitsCommand;
}());
exports.GetDirectoryLimitsCommand = GetDirectoryLimitsCommand;
//# sourceMappingURL=GetDirectoryLimitsCommand.js.map