"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSnapshotLimits_1 = require("../model/operations/GetSnapshotLimits");
var GetSnapshotLimitsCommand = /** @class */ (function () {
    function GetSnapshotLimitsCommand(input) {
        this.input = input;
        this.model = GetSnapshotLimits_1.GetSnapshotLimits;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSnapshotLimitsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSnapshotLimitsCommand;
}());
exports.GetSnapshotLimitsCommand = GetSnapshotLimitsCommand;
//# sourceMappingURL=GetSnapshotLimitsCommand.js.map