import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListLogSubscriptionsInput } from "../types/ListLogSubscriptionsInput";
import { ListLogSubscriptionsOutput } from "../types/ListLogSubscriptionsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/ListLogSubscriptionsInput";
export * from "../types/ListLogSubscriptionsOutput";
export * from "../types/ListLogSubscriptionsExceptionsUnion";
export declare class ListLogSubscriptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListLogSubscriptionsInput, OutputTypesUnion, ListLogSubscriptionsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: ListLogSubscriptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListLogSubscriptionsInput, ListLogSubscriptionsOutput, Blob>;
    constructor(input: ListLogSubscriptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<ListLogSubscriptionsInput, ListLogSubscriptionsOutput>;
}
