import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreFromSnapshotInput } from "../types/RestoreFromSnapshotInput";
import { RestoreFromSnapshotOutput } from "../types/RestoreFromSnapshotOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/RestoreFromSnapshotInput";
export * from "../types/RestoreFromSnapshotOutput";
export * from "../types/RestoreFromSnapshotExceptionsUnion";
export declare class RestoreFromSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreFromSnapshotInput, OutputTypesUnion, RestoreFromSnapshotOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: RestoreFromSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreFromSnapshotInput, RestoreFromSnapshotOutput, Blob>;
    constructor(input: RestoreFromSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<RestoreFromSnapshotInput, RestoreFromSnapshotOutput>;
}
