import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ShareDirectoryInput } from "../types/ShareDirectoryInput";
import { ShareDirectoryOutput } from "../types/ShareDirectoryOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/ShareDirectoryInput";
export * from "../types/ShareDirectoryOutput";
export * from "../types/ShareDirectoryExceptionsUnion";
export declare class ShareDirectoryCommand implements __aws_sdk_types.Command<InputTypesUnion, ShareDirectoryInput, OutputTypesUnion, ShareDirectoryOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: ShareDirectoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ShareDirectoryInput, ShareDirectoryOutput, Blob>;
    constructor(input: ShareDirectoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<ShareDirectoryInput, ShareDirectoryOutput>;
}
