import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UnshareDirectoryInput } from "../types/UnshareDirectoryInput";
import { UnshareDirectoryOutput } from "../types/UnshareDirectoryOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/UnshareDirectoryInput";
export * from "../types/UnshareDirectoryOutput";
export * from "../types/UnshareDirectoryExceptionsUnion";
export declare class UnshareDirectoryCommand implements __aws_sdk_types.Command<InputTypesUnion, UnshareDirectoryInput, OutputTypesUnion, UnshareDirectoryOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: UnshareDirectoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UnshareDirectoryInput, UnshareDirectoryOutput, Blob>;
    constructor(input: UnshareDirectoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<UnshareDirectoryInput, UnshareDirectoryOutput>;
}
