import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateConditionalForwarderInput } from "../types/UpdateConditionalForwarderInput";
import { UpdateConditionalForwarderOutput } from "../types/UpdateConditionalForwarderOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/UpdateConditionalForwarderInput";
export * from "../types/UpdateConditionalForwarderOutput";
export * from "../types/UpdateConditionalForwarderExceptionsUnion";
export declare class UpdateConditionalForwarderCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateConditionalForwarderInput, OutputTypesUnion, UpdateConditionalForwarderOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: UpdateConditionalForwarderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateConditionalForwarderInput, UpdateConditionalForwarderOutput, Blob>;
    constructor(input: UpdateConditionalForwarderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<UpdateConditionalForwarderInput, UpdateConditionalForwarderOutput>;
}
