"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRadius_1 = require("../model/operations/UpdateRadius");
var UpdateRadiusCommand = /** @class */ (function () {
    function UpdateRadiusCommand(input) {
        this.input = input;
        this.model = UpdateRadius_1.UpdateRadius;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRadiusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRadiusCommand;
}());
exports.UpdateRadiusCommand = UpdateRadiusCommand;
//# sourceMappingURL=UpdateRadiusCommand.js.map