import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateTrustInput } from "../types/UpdateTrustInput";
import { UpdateTrustOutput } from "../types/UpdateTrustOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/UpdateTrustInput";
export * from "../types/UpdateTrustOutput";
export * from "../types/UpdateTrustExceptionsUnion";
export declare class UpdateTrustCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateTrustInput, OutputTypesUnion, UpdateTrustOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: UpdateTrustInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateTrustInput, UpdateTrustOutput, Blob>;
    constructor(input: UpdateTrustInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<UpdateTrustInput, UpdateTrustOutput>;
}
