"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteLogSubscriptionInput_1 = require("../shapes/DeleteLogSubscriptionInput");
var DeleteLogSubscriptionOutput_1 = require("../shapes/DeleteLogSubscriptionOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLogSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLogSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteLogSubscriptionInput_1.DeleteLogSubscriptionInput
    },
    output: {
        shape: DeleteLogSubscriptionOutput_1.DeleteLogSubscriptionOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DeleteLogSubscription.js.map