"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteSnapshotInput_1 = require("../shapes/DeleteSnapshotInput");
var DeleteSnapshotOutput_1 = require("../shapes/DeleteSnapshotOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteSnapshotInput_1.DeleteSnapshotInput
    },
    output: {
        shape: DeleteSnapshotOutput_1.DeleteSnapshotOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DeleteSnapshot.js.map