"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterEventTopicInput_1 = require("../shapes/DeregisterEventTopicInput");
var DeregisterEventTopicOutput_1 = require("../shapes/DeregisterEventTopicOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterEventTopic = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterEventTopic",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeregisterEventTopicInput_1.DeregisterEventTopicInput
    },
    output: {
        shape: DeregisterEventTopicOutput_1.DeregisterEventTopicOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DeregisterEventTopic.js.map