"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDomainControllersInput_1 = require("../shapes/DescribeDomainControllersInput");
var DescribeDomainControllersOutput_1 = require("../shapes/DescribeDomainControllersOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDomainControllers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDomainControllers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDomainControllersInput_1.DescribeDomainControllersInput
    },
    output: {
        shape: DescribeDomainControllersOutput_1.DescribeDomainControllersOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DescribeDomainControllers.js.map