"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetSnapshotLimitsInput_1 = require("../shapes/GetSnapshotLimitsInput");
var GetSnapshotLimitsOutput_1 = require("../shapes/GetSnapshotLimitsOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSnapshotLimits = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSnapshotLimits",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetSnapshotLimitsInput_1.GetSnapshotLimitsInput
    },
    output: {
        shape: GetSnapshotLimitsOutput_1.GetSnapshotLimitsOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=GetSnapshotLimits.js.map