"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListIpRoutesInput_1 = require("../shapes/ListIpRoutesInput");
var ListIpRoutesOutput_1 = require("../shapes/ListIpRoutesOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListIpRoutes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListIpRoutes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListIpRoutesInput_1.ListIpRoutesInput
    },
    output: {
        shape: ListIpRoutesOutput_1.ListIpRoutesOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=ListIpRoutes.js.map