"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListLogSubscriptionsInput_1 = require("../shapes/ListLogSubscriptionsInput");
var ListLogSubscriptionsOutput_1 = require("../shapes/ListLogSubscriptionsOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListLogSubscriptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListLogSubscriptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListLogSubscriptionsInput_1.ListLogSubscriptionsInput
    },
    output: {
        shape: ListLogSubscriptionsOutput_1.ListLogSubscriptionsOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=ListLogSubscriptions.js.map