"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveIpRoutesInput_1 = require("../shapes/RemoveIpRoutesInput");
var RemoveIpRoutesOutput_1 = require("../shapes/RemoveIpRoutesOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveIpRoutes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveIpRoutes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveIpRoutesInput_1.RemoveIpRoutesInput
    },
    output: {
        shape: RemoveIpRoutesOutput_1.RemoveIpRoutesOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=RemoveIpRoutes.js.map