"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DirectoryVpcSettings_1 = require("./_DirectoryVpcSettings");
var _Tags_1 = require("./_Tags");
exports.CreateDirectoryInput = {
    type: "structure",
    required: ["Name", "Password", "Size"],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        ShortName: {
            shape: {
                type: "string"
            }
        },
        Password: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Size: {
            shape: {
                type: "string"
            }
        },
        VpcSettings: {
            shape: _DirectoryVpcSettings_1._DirectoryVpcSettings
        },
        Tags: {
            shape: _Tags_1._Tags
        }
    }
};
//# sourceMappingURL=CreateDirectoryInput.js.map