"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StartSchemaExtensionInput = {
    type: "structure",
    required: [
        "DirectoryId",
        "CreateSnapshotBeforeSchemaExtension",
        "LdifContent",
        "Description"
    ],
    members: {
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        CreateSnapshotBeforeSchemaExtension: {
            shape: {
                type: "boolean"
            }
        },
        LdifContent: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=StartSchemaExtensionInput.js.map