"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._SharedDirectory = {
    type: "structure",
    required: [],
    members: {
        OwnerAccountId: {
            shape: {
                type: "string"
            }
        },
        OwnerDirectoryId: {
            shape: {
                type: "string"
            }
        },
        ShareMethod: {
            shape: {
                type: "string"
            }
        },
        SharedAccountId: {
            shape: {
                type: "string"
            }
        },
        SharedDirectoryId: {
            shape: {
                type: "string"
            }
        },
        ShareStatus: {
            shape: {
                type: "string"
            }
        },
        ShareNotes: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        CreatedDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedDateTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_SharedDirectory.js.map