import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The <code>NextToken</code> value is not valid.</p>
 */
export interface InvalidNextTokenException extends __ServiceException__<_InvalidNextTokenExceptionDetails> {
    name: "InvalidNextTokenException";
}
export interface _InvalidNextTokenExceptionDetails {
    /**
     * <p>The descriptive message for the exception.</p>
     */
    Message?: string;
    /**
     * <p>The AWS request identifier.</p>
     */
    RequestId?: string;
}
