import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>One or more parameters are not valid.</p>
 */
export interface InvalidParameterException extends __ServiceException__<_InvalidParameterExceptionDetails> {
    name: "InvalidParameterException";
}
export interface _InvalidParameterExceptionDetails {
    /**
     * <p>The descriptive message for the exception.</p>
     */
    Message?: string;
    /**
     * <p>The AWS request identifier.</p>
     */
    RequestId?: string;
}
