import { _UnmarshalledLogSubscription } from "./_LogSubscription";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * ListLogSubscriptionsOutput shape
 */
export interface ListLogSubscriptionsOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>A list of active <a>LogSubscription</a> objects for calling the AWS account.</p>
     */
    LogSubscriptions?: Array<_UnmarshalledLogSubscription>;
    /**
     * <p>The token for the next set of items to return.</p>
     */
    NextToken?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
