import { _UnmarshalledTag } from "./_Tag";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * ListTagsForResourceOutput shape
 */
export interface ListTagsForResourceOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>List of tags returned by the ListTagsForResource operation.</p>
     */
    Tags?: Array<_UnmarshalledTag>;
    /**
     * <p>Reserved for future use.</p>
     */
    NextToken?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
