"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddTagsToResource_1 = require("../model/operations/AddTagsToResource");
var AddTagsToResourceCommand = /** @class */ (function () {
    function AddTagsToResourceCommand(input) {
        this.input = input;
        this.model = AddTagsToResource_1.AddTagsToResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddTagsToResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddTagsToResourceCommand;
}());
exports.AddTagsToResourceCommand = AddTagsToResourceCommand;
//# sourceMappingURL=AddTagsToResourceCommand.js.map