import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CancelSchemaExtensionInput } from "../types/CancelSchemaExtensionInput";
import { CancelSchemaExtensionOutput } from "../types/CancelSchemaExtensionOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CancelSchemaExtensionInput";
export * from "../types/CancelSchemaExtensionOutput";
export * from "../types/CancelSchemaExtensionExceptionsUnion";
export declare class CancelSchemaExtensionCommand implements __aws_sdk_types.Command<InputTypesUnion, CancelSchemaExtensionInput, OutputTypesUnion, CancelSchemaExtensionOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CancelSchemaExtensionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CancelSchemaExtensionInput, CancelSchemaExtensionOutput, Blob>;
    constructor(input: CancelSchemaExtensionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CancelSchemaExtensionInput, CancelSchemaExtensionOutput>;
}
