import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateComputerInput } from "../types/CreateComputerInput";
import { CreateComputerOutput } from "../types/CreateComputerOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateComputerInput";
export * from "../types/CreateComputerOutput";
export * from "../types/CreateComputerExceptionsUnion";
export declare class CreateComputerCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateComputerInput, OutputTypesUnion, CreateComputerOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateComputerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateComputerInput, CreateComputerOutput, Blob>;
    constructor(input: CreateComputerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateComputerInput, CreateComputerOutput>;
}
