import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateConditionalForwarderInput } from "../types/CreateConditionalForwarderInput";
import { CreateConditionalForwarderOutput } from "../types/CreateConditionalForwarderOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateConditionalForwarderInput";
export * from "../types/CreateConditionalForwarderOutput";
export * from "../types/CreateConditionalForwarderExceptionsUnion";
export declare class CreateConditionalForwarderCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateConditionalForwarderInput, OutputTypesUnion, CreateConditionalForwarderOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateConditionalForwarderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateConditionalForwarderInput, CreateConditionalForwarderOutput, Blob>;
    constructor(input: CreateConditionalForwarderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateConditionalForwarderInput, CreateConditionalForwarderOutput>;
}
