import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDirectoryInput } from "../types/DeleteDirectoryInput";
import { DeleteDirectoryOutput } from "../types/DeleteDirectoryOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DeleteDirectoryInput";
export * from "../types/DeleteDirectoryOutput";
export * from "../types/DeleteDirectoryExceptionsUnion";
export declare class DeleteDirectoryCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDirectoryInput, OutputTypesUnion, DeleteDirectoryOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DeleteDirectoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDirectoryInput, DeleteDirectoryOutput, Blob>;
    constructor(input: DeleteDirectoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteDirectoryInput, DeleteDirectoryOutput>;
}
