import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteTrustInput } from "../types/DeleteTrustInput";
import { DeleteTrustOutput } from "../types/DeleteTrustOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DeleteTrustInput";
export * from "../types/DeleteTrustOutput";
export * from "../types/DeleteTrustExceptionsUnion";
export declare class DeleteTrustCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteTrustInput, OutputTypesUnion, DeleteTrustOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DeleteTrustInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteTrustInput, DeleteTrustOutput, Blob>;
    constructor(input: DeleteTrustInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteTrustInput, DeleteTrustOutput>;
}
