import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEventTopicsInput } from "../types/DescribeEventTopicsInput";
import { DescribeEventTopicsOutput } from "../types/DescribeEventTopicsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DescribeEventTopicsInput";
export * from "../types/DescribeEventTopicsOutput";
export * from "../types/DescribeEventTopicsExceptionsUnion";
export declare class DescribeEventTopicsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEventTopicsInput, OutputTypesUnion, DescribeEventTopicsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DescribeEventTopicsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEventTopicsInput, DescribeEventTopicsOutput, Blob>;
    constructor(input: DescribeEventTopicsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeEventTopicsInput, DescribeEventTopicsOutput>;
}
