import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeSharedDirectoriesInput } from "../types/DescribeSharedDirectoriesInput";
import { DescribeSharedDirectoriesOutput } from "../types/DescribeSharedDirectoriesOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DescribeSharedDirectoriesInput";
export * from "../types/DescribeSharedDirectoriesOutput";
export * from "../types/DescribeSharedDirectoriesExceptionsUnion";
export declare class DescribeSharedDirectoriesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeSharedDirectoriesInput, OutputTypesUnion, DescribeSharedDirectoriesOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DescribeSharedDirectoriesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeSharedDirectoriesInput, DescribeSharedDirectoriesOutput, Blob>;
    constructor(input: DescribeSharedDirectoriesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeSharedDirectoriesInput, DescribeSharedDirectoriesOutput>;
}
