import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisableSsoInput } from "../types/DisableSsoInput";
import { DisableSsoOutput } from "../types/DisableSsoOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DisableSsoInput";
export * from "../types/DisableSsoOutput";
export * from "../types/DisableSsoExceptionsUnion";
export declare class DisableSsoCommand implements __aws_sdk_types.Command<InputTypesUnion, DisableSsoInput, OutputTypesUnion, DisableSsoOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DisableSsoInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisableSsoInput, DisableSsoOutput, Blob>;
    constructor(input: DisableSsoInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DisableSsoInput, DisableSsoOutput>;
}
