import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterEventTopicInput } from "../types/RegisterEventTopicInput";
import { RegisterEventTopicOutput } from "../types/RegisterEventTopicOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/RegisterEventTopicInput";
export * from "../types/RegisterEventTopicOutput";
export * from "../types/RegisterEventTopicExceptionsUnion";
export declare class RegisterEventTopicCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterEventTopicInput, OutputTypesUnion, RegisterEventTopicOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: RegisterEventTopicInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterEventTopicInput, RegisterEventTopicOutput, Blob>;
    constructor(input: RegisterEventTopicInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<RegisterEventTopicInput, RegisterEventTopicOutput>;
}
