"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveTagsFromResource_1 = require("../model/operations/RemoveTagsFromResource");
var RemoveTagsFromResourceCommand = /** @class */ (function () {
    function RemoveTagsFromResourceCommand(input) {
        this.input = input;
        this.model = RemoveTagsFromResource_1.RemoveTagsFromResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveTagsFromResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveTagsFromResourceCommand;
}());
exports.RemoveTagsFromResourceCommand = RemoveTagsFromResourceCommand;
//# sourceMappingURL=RemoveTagsFromResourceCommand.js.map