"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateNumberOfDomainControllers_1 = require("../model/operations/UpdateNumberOfDomainControllers");
var UpdateNumberOfDomainControllersCommand = /** @class */ (function () {
    function UpdateNumberOfDomainControllersCommand(input) {
        this.input = input;
        this.model = UpdateNumberOfDomainControllers_1.UpdateNumberOfDomainControllers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateNumberOfDomainControllersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateNumberOfDomainControllersCommand;
}());
exports.UpdateNumberOfDomainControllersCommand = UpdateNumberOfDomainControllersCommand;
//# sourceMappingURL=UpdateNumberOfDomainControllersCommand.js.map