"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDirectoryInput_1 = require("../shapes/CreateDirectoryInput");
var CreateDirectoryOutput_1 = require("../shapes/CreateDirectoryOutput");
var DirectoryLimitExceededException_1 = require("../shapes/DirectoryLimitExceededException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDirectoryInput_1.CreateDirectoryInput
    },
    output: {
        shape: CreateDirectoryOutput_1.CreateDirectoryOutput
    },
    errors: [
        {
            shape: DirectoryLimitExceededException_1.DirectoryLimitExceededException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CreateDirectory.js.map