"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateMicrosoftADInput_1 = require("../shapes/CreateMicrosoftADInput");
var CreateMicrosoftADOutput_1 = require("../shapes/CreateMicrosoftADOutput");
var DirectoryLimitExceededException_1 = require("../shapes/DirectoryLimitExceededException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateMicrosoftAD = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateMicrosoftAD",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateMicrosoftADInput_1.CreateMicrosoftADInput
    },
    output: {
        shape: CreateMicrosoftADOutput_1.CreateMicrosoftADOutput
    },
    errors: [
        {
            shape: DirectoryLimitExceededException_1.DirectoryLimitExceededException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=CreateMicrosoftAD.js.map