"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsFromResourceInput_1 = require("../shapes/RemoveTagsFromResourceInput");
var RemoveTagsFromResourceOutput_1 = require("../shapes/RemoveTagsFromResourceOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromResourceInput_1.RemoveTagsFromResourceInput
    },
    output: {
        shape: RemoveTagsFromResourceOutput_1.RemoveTagsFromResourceOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromResource.js.map