"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreFromSnapshotInput_1 = require("../shapes/RestoreFromSnapshotInput");
var RestoreFromSnapshotOutput_1 = require("../shapes/RestoreFromSnapshotOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreFromSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreFromSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreFromSnapshotInput_1.RestoreFromSnapshotInput
    },
    output: {
        shape: RestoreFromSnapshotOutput_1.RestoreFromSnapshotOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=RestoreFromSnapshot.js.map