"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DirectoryConnectSettings_1 = require("./_DirectoryConnectSettings");
var _Tags_1 = require("./_Tags");
exports.ConnectDirectoryInput = {
    type: "structure",
    required: ["Name", "Password", "Size", "ConnectSettings"],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        ShortName: {
            shape: {
                type: "string"
            }
        },
        Password: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Size: {
            shape: {
                type: "string"
            }
        },
        ConnectSettings: {
            shape: _DirectoryConnectSettings_1._DirectoryConnectSettings
        },
        Tags: {
            shape: _Tags_1._Tags
        }
    }
};
//# sourceMappingURL=ConnectDirectoryInput.js.map