"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DnsIpAddrs_1 = require("./_DnsIpAddrs");
exports.CreateTrustInput = {
    type: "structure",
    required: [
        "DirectoryId",
        "RemoteDomainName",
        "TrustPassword",
        "TrustDirection"
    ],
    members: {
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        RemoteDomainName: {
            shape: {
                type: "string"
            }
        },
        TrustPassword: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        TrustDirection: {
            shape: {
                type: "string"
            }
        },
        TrustType: {
            shape: {
                type: "string"
            }
        },
        ConditionalForwarderIpAddrs: {
            shape: _DnsIpAddrs_1._DnsIpAddrs
        },
        SelectiveAuth: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateTrustInput.js.map